earthquake.php: Get earthquake information

API: gov.hk:hong-kong-obervatory
Endpoint: /earthquake.php
Response format: text/plain
Auth: unknown
Method: GET
Last Status: 200
Latency: 1385ms

Description

Retrieve quick earthquake messages for earthquakes with magnitude 6.0+.

Parameters (2)

dataType (string, query, required)

Type of earthquake data

Constraints: {'enum': ['qem']}

lang (string, query, optional, default: en)

Language for the response

Constraints: {'enum': ['en', 'tc', 'sc']}

Examples (1)

Get earthquake information probe-gate
curl 'https://data.weather.gov.hk/weatherAPI/opendata/earthquake.php?lang=en'
import requests

resp = requests.get(
    "https://data.weather.gov.hk/weatherAPI/opendata/earthquake.php",
    params={
        'lang': 'en',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("gov")
result = api.fetch("earthquake.php", lang="en")

for item in result:
    print(item)
const resp = await fetch("https://data.weather.gov.hk/weatherAPI/opendata/earthquake.php?lang=en");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 03:51:40.168276 200 1385ms
2026-04-15 00:55:30.490570 200 2653ms
2026-04-14 01:10:53.291032 200 1606ms
2026-04-12 15:15:06.521703 200 2598ms
2026-04-10 02:24:21.496457 200 784ms
2026-04-09 03:18:50.781653 200 2423ms
2026-03-27T12:34:15.528332 200 945ms